******************************
*데이터가공(3) - 합산(가구원데이터 기준)
******************************
/*Q: 근로소득이 있는 가구원의 나이를 알고싶다면?
  A: 가구 데이터를 종으로 변환하여 가구원데이터와 병합시켜야 함 */
  
  
* 1. 가구 데이터 reshape

use "[ex3]NaSTaB12H.dta", clear

rename w12byr0* w12byr*        /*reshape을 할 때, 변수의 0을 인식하지 못하므로 제대로 변환되지 않음*/
rename w12mem0* w12mem*
rename hpid0* hpid*

reshape long w12byr w12mem hpid, i(hid12) j(n)  
format hpid %12.0g

drop if w12mem==2              /*12차년도 기준, 2018년 6월 이전 분가한 가구는 비가구원, 13차년도부터 분가가구로 조사*/
drop if hpid==.                /*변수명을 기준으로 변환되기 때문에, pid가 없는 빈 변수 삭제*/

rename hpid pid12              /*가구원데이터와 merge하기 위해 변수명 변경*/

save "[ex3]NaSTaB12H_long.dta", replace

*2. 가구원데이터와 merge

use "[ex3]NaSTaB12P.dta", clear

merge 1:1 pid12 using "[ex3]NaSTaB12H_long.dta"

sort pid12

drop if ps12a04 ==.          /*가구원 조사는 소득이 있는 가구원만 조사하기 때문에, 소득이 없는 가구원(ps12a04==.)은 삭제*/
